/**
 * @author Timeless
 */

var PostsMap = [];

function FriendsScreen() {
	// Get the update button element and assign an 'onclick' event to it.
    var self = this;
     
    
}

FriendsScreen.prototype.onActivated = function(){
	if(Menu.activeScreen != Menu.POST_VIEW) {
		this.refresh();
	}
}


FriendsScreen.prototype.onSuccess = function(response){
    var self = this;
	
	var numEvents = new Number(response["events_count"]);	
	var divElement = null;
	var post = null;
	var id = null;
	PostsMap = [];
	
	ljservice.showProgress(false);
	document.getElementById("friend_feed").innerHTML = "";
	
	var taglists = [];
	for (i = 1; i <= response["prop_count"]; i++) {
		if(response["prop_"+i+"_name"] == "taglist") {
			taglists[response["prop_" + i + "_itemid"]] = response["prop_"+i+"_value"];
		} 
	}
	
	
    for (i = 1; i <= response["events_count"]; i++) {
		id = response["events_" + i + "_itemid"];
		post = new Post(id, 
						response["events_" + i + "_poster"],
						response["events_" + i + "_subject"],
						response["events_" + i + "_event"],
						taglists[response["events_" + i + "_itemid"]],
						response["events_" + i + "_eventtime"]
						);	  
		PostsMap["post" + id] = post;
		document.getElementById("friend_feed").innerHTML += post.generateDivCode(false, false);  
    }
    for (i = 1; i <= response["events_count"]; i++) {
		id = response["events_" + i + "_itemid"];
		document.getElementById("post" + id).onclick = function() {
			friendsScreen.onPostClick(this.id);
		};
    }  
}

FriendsScreen.prototype.onPostClick = function(postID){
	
	var clickedPost = PostsMap[postID];
	
	if(clickedPost == null)
		return;
	
		
	// Create PostScreen for this particular post entry
	document.getElementById("view_post_body").innerHTML = clickedPost.generateDivCode(true, false);
	
	// GOTO PostScreen
	widgetMenu.activate( Menu.POST_VIEW ); 
	
}

FriendsScreen.prototype.onError = function(msg){
	ljservice.showProgress(false);
	alert(msg);
	
}


FriendsScreen.prototype.refresh = function(){
	var prefersubject = "0";
	var noprops = "0"; 
	var selecttype = "lastn"; 
	var lineendings = ""; 
	var param_getEvents = [];
	
	
	ljservice.showProgress();
	ljservice.setCallbacks(this.onSuccess, this.onError);
	
	param_getEvents["ver"] = "1";
	
	ljservice.getEvents(prefersubject, noprops, selecttype, lineendings, param_getEvents);
}


