	
function MiniView() {

}


MiniView.prototype.onActivated = function() {
	// Get the refresh rate.
	var refresh = parseInt( widget.preferenceForKey( SettingsScreen.KEY_REFRESH ) );
	if ( isNaN( refresh ) ) {
		refresh = 300000; // Default to 300 seconds.
	}

	// Start the timer which refreshes the miniview.
	var self = this;
	this.timerId = setInterval( function(){
		self.refresh();
	}, refresh );
	
	// Timer will trigger after the refresh period so refresh manually now.
	this.refresh();
}

MiniView.prototype.refresh = function() {
	var self = this;
//	twitterService.onSuccess = function( response ) { self.onTwitterResponse( response ) }
//	twitterService.onError = function( status ) { self.onTwitterError( status ) }
//	
//	twitterService.getPublicTweets( 3 );
//	document.getElementById("mini_view").innerHTML = "<div >AAAA</div>";
	
	this.getEvents();
	
}

MiniView.prototype.onDeactivated = function() {
	// Stop timer.
	clearInterval( this.timerId );	
}
//
//MiniView.prototype.onTwitterResponse = function( response ) {
//	// Fill in dummy data here.
//	var tweetsTable = document.getElementById( "mini_view_table" );
//	var html = Helper.createTableHeader( StringTable.Code.miniViewCaption );
//
//	// Fill in the table.
//	for ( var i = 0; i < response.length; ++i ) {
//		var tweet = response[i];
//		
//		html += Helper.createStatusRow( tweet.user.profile_image_url,
//			tweet.user.screen_name,
//			tweet.text, "", "" );
//	}
//	
//	tweetsTable.innerHTML = html;
//}
//
//MiniView.prototype.onTwitterError = function( status ) {
//	var tweetsTable = document.getElementById( "mini_view_table" );
//	tweetsTable.innerHTML = StringTable.Code.miniViewError;
//}

MiniView.prototype.onSuccess = function( response ) {
	
	var numEvents = new Number(response["events_count"]);	
	var divElement = "";
	var post = null;
	var id = null;
	
	document.getElementById("mini_view").innerHTML = "";
	
	var taglists = [];
	for (i = 1; i <= response["prop_count"]; i++) {
		if(response["prop_"+i+"_name"] == "taglist") {
			taglists[response["prop_" + i + "_itemid"]] = response["prop_"+i+"_value"];
		} 
	}
	
    for (k = 1; k <= response["events_count"]; k++) {
		
		//document.getElementById("mini_view").innerHTML += response["events_" + k + "_poster"];;
		//document.getElementById("mini_view").innerHTML += response["events_" + k + "_event"];;

		
		id = response["events_" + k + "_itemid"];
		post = new Post(id, 
						response["events_" + k + "_poster"],
						response["events_" + k + "_event"],
						null,  /* No events here*/
						taglists[response["events_" + k + "_itemid"]],
						response["events_" + k + "_eventtime"]
						);	
						  
		document.getElementById("mini_view").innerHTML += post.generateDivCode(false, true);  
    }
   	document.getElementById("mini_view").innerHTML += "end";
	
	//document.getElementById("mini_view").innerHTML = "<div >onSuccess</div>";
}


MiniView.prototype.onError = function(  ) {
	document.getElementById("mini_view").innerHTML = "<div >Error</div>";
}




MiniView.prototype.getEvents = function(){
	var prefersubject = "1";
	var noprops = "0"; 
	var selecttype = "lastn"; 
	var lineendings = ""; 
	var param_getEvents = [];
	
	
	//ljservice.showProgress();
	ljservice.setCallbacks(this.onSuccess, this.onError);
	
	param_getEvents["ver"] = "1";
	param_getEvents["howmany"] = "5";
	
	ljservice.getEvents(prefersubject, noprops, selecttype, lineendings, param_getEvents);
}
