/**
 * @author Timeless
 */

var USER_PIC_STUB = "%USER_PIC%";
var POST_SUBJ_STUB = "%POST_SUBJ%";
var USERNAME_STUB = "%USERNAME%";
var POST_TAGS_STUB = "%POST_TAGS%";
var POST_TIME_STUB = "%POST_DATE%";
var EVENT_ID_STUB = "%EVENT_ID%";
var POST_TEXT_STUB = "%POST_TEXT%";


var SUBJ_DIV_CODE = "<div class=\"minipost_container\"  id = \"post" 
						+ this.EVENT_ID_STUB
						+ "\">"
						+ "<img class=\"miniviewlogo\" src=\"icon.png\"><div class = \"minipostsubject\">" 
						+ this.POST_SUBJ_STUB 
						+ "</div>	<div class = \"minipostusername\" >" 
						+ this.USERNAME_STUB 
						+ "</div> <div class = \"miniposttime\" >" 
						+ this.POST_TIME_STUB 
						+ "</div> <div class = \"miniposttags\">" 
						+ this.POST_TAGS_STUB 
						+ "</div></div>  ";




var POST_DIV_CODE = "<div class=\"post_container\"  id = \"post" 
						+ this.EVENT_ID_STUB
						+ "\">"
						+ "<img class = \"postpic\"  src = \"" 
						+ this.USER_PIC_STUB 
						+ "\" /> <div class = \"postsubject\">" 
						+ this.POST_SUBJ_STUB 
						+ "</div>	<div class = \"postusername\" >" 
						+ this.USERNAME_STUB 
						+ "</div> <div class = \"posttime\" >" 
						+ this.POST_TIME_STUB 
						+ "</div> <div class = \"posttags\">" 
						+ this.POST_TAGS_STUB 
						+ "</div> <div class = \"posttext\">"
						+ this.POST_TEXT_STUB
						+ "</div> </div> ";
 
function Post(id, username, subject, post, tags, time) {
	// Get the update button element and assign an 'onclick' event to it.
	var self = this;
	
	this.id = id;
	this.username = username;
	if (username == null) {
            this.username = ljservice.username;
    }
	
//	this.subject = subject;
	this.subject = unescapeFromUrl(subject, "UTF-8");
	
	this.tags = tags;
	if(tags == "undefined")
	{
		this.tags = "";
	}
	
	this.time = time;

	this.post = post;
	
	if(post != null)
	{
        while (this.post.indexOf("+") != -1) {
            this.post = this.post.replace("+", " ");
        }
        this.post = unescapeFromUrl(this.post, "UTF-8");
	}
	
}

Post.prototype.generateDivCode = function(fullText, subjOnly){


    var result = "";
    
    if (subjOnly) {
        result = SUBJ_DIV_CODE;
    }
    else {
        result = POST_DIV_CODE;
    }
    
    
    try {
    
        result = result.replace(EVENT_ID_STUB, this.id);
        result = result.replace(USER_PIC_STUB, "icon.png");
        result = result.replace(POST_SUBJ_STUB, this.subject);
        
        
         result = result.replace(USERNAME_STUB, this.username);
        result = result.replace(POST_TAGS_STUB, this.tags);
        result = result.replace(POST_TIME_STUB, this.time);
        
        if (subjOnly == false) {
        
            if (fullText == true) {
                result = result.replace(POST_TEXT_STUB, this.post);
            }
            else {
                result = result.replace(POST_TEXT_STUB, this.cutTo(this.post, 200));
            }
        }
    } 
    catch (ex) {
    }
    
    
    return result;
    
}

Post.prototype.cutTo = function(origin, size){
	
	var limit = 10;
	var minLimit = Math.min(size + limit, origin.length);
	
	if(origin.length <= size) {
		return origin;
	}
	
	for(j = size; j < minLimit ; j++) {
		if (origin.charAt(j) == ' ' || origin.charAt(j) == '\n' || origin.charAt(j) == '\t' ||
		origin.charAt(j) == '.' ||
		origin.charAt(j) == ',' ||
		origin.charAt(j) == ';' ||
		origin.charAt(j) == ':') {
			return origin.substring(0, j) + "...";
		}
	}
	var result = origin.substring(0, j) + "...";
	
	return result;
}
